- Home
- API Enriched
- Shape
- shape
- List Behaviors By Script.
List Behaviors By Script.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/behaviors?type=NEW';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/behaviors?type=NEW' \ --header 'Authorization: <Authorization>'List all the behaviors for a script depending on start time and end time.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
ID Script ID.
Query Parameters
Section titled “Query Parameters”X-required Filter based on type of behaviors
- NEW: NEW New Behaviors
- ALL: ALL All Behaviors.
X-required format: unix epoch timestamp in seconds fetch behaviors whose timestamp >= start_time.
X-required format: unix epoch timestamp in seconds fetch behaviors whose timestamp <= end_time.
Responses
Section titled “Responses”A successful response.
Response to list behaviors by script.
object
List of behaviors depending upon filter.
Behavior info.
object
Category of the behavior.
Format: unix epoch timestamp in milliseconds First seen time.
Format: unix epoch timestamp in milliseconds Last seen time.
Name of the behavior.
Recommendation of the behavior by Client Side Defense.
Risk level of the element read by script.
Users affected by the behavior of the script.
Total size of scripts.
Examplegenerated
{ "behaviors": [ { "category": "example", "first_seen": "example", "last_seen": "example", "name": "example", "recommendation": "example", "risk_level": "example", "users_affected": 1 } ], "total_size": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example